
TYPO3.Fluid - Feature # 5485

Status: Rejected Priority: Must have
Author: Steffen Ritter Category: Core
Created: 2009-11-24 Assigned To:
Updated: 2011-05-06 Due date:
Has patch:
Subject: Missing operators "===", "!==" and "!" in fluid comparism mechanism
Description

implement them :)

Attached patch adds the operators and furthermore adds a unit test to for all operators in different datatypes...

Related issues:
related to TYPO3.Fluid - Task # 6757: support literal strings in boolean argu... Resolved 2010-03-10

History
#1 - 2009-12-16 21:26 - Jochen Rau
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

This issue should be moved to the Package Fluid.

#2 - 2010-06-18 15:21 - Sebastian Kurfuerst
- Status changed from Accepted to New
- Assigned To deleted (Sebastian Kurfuerst)

#3 - 2010-06-18 15:22 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid

#4 - 2010-06-24 20:13 - Sebastian Kurfuerst
- Status changed from New to Accepted

thanks for the unit tests, we should definitely include this.

However, I am not yet sure what the single "!" is supposed to do, as it is not a binary operator.

Greets,
Sebastian

#5 - 2010-06-24 20:46 - Bastian Waidelich

Sebastian Kurfuerst wrote:

Hi,

However, I am not yet sure what the single "!" is supposed to do
Probably the same as it does in PHP, negating the condition:

<f:if condition="!{true}">...

..just guessing.

#6 - 2010-06-25 16:04 - Bastian Waidelich
- Category set to Core
- Assigned To set to Bastian Waidelich
- Branch set to v4 + v5

#7 - 2010-08-06 13:46 - Steffen Ritter

yes I wanted to negate the outcome of the expression afterwards

#8 - 2010-12-30 18:21 - Bastian Waidelich
- Assigned To deleted (Bastian Waidelich)

#9 - 2011-05-06 10:05 - Sebastian Kurfuerst
- Status changed from Accepted to Rejected

    -  !== and === are now automatically used for objects.
    -  Only negation is possible by doing <f:if><f:else>...

Files
addOperators.diff 8.6 kB 2009-11-24 Steffen Ritter
